Package org.apache.commons.imaging.formats.png

## Enum PngColorType

- java.lang.Object
- - java.lang.Enum<PngColorType>
  - - org.apache.commons.imaging.formats.png.PngColorType

- All Implemented Interfaces:
    `Serializable`, `Comparable<PngColorType>`

      public enum PngColorType
      extends Enum<PngColorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `GREYSCALE` |
    `GREYSCALE_WITH_ALPHA` |
    `INDEXED_COLOR` |
    `TRUE_COLOR` |
    `TRUE_COLOR_WITH_ALPHA` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PngColorType` | `getColorType​(int value)` |
    `static PngColorType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PngColorType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GREYSCALE

          public static final PngColorType GREYSCALE

    - #### TRUE_COLOR

          public static final PngColorType TRUE_COLOR

    - #### INDEXED_COLOR

          public static final PngColorType INDEXED_COLOR

    - #### GREYSCALE_WITH_ALPHA

          public static final PngColorType GREYSCALE_WITH_ALPHA

    - #### TRUE_COLOR_WITH_ALPHA

          public static final PngColorType TRUE_COLOR_WITH_ALPHA

  - ### Method Detail

    - #### values

          public static PngColorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PngColorType c : PngColorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PngColorType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getColorType

          public static PngColorType getColorType​(int value)